Bug 1311212 - RHEL 5 client is not able to use channels from Satellite6
RHEL 5 client is not able to use channels from Satellite6
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.1.5
i386 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 10:21 EST by Alessandro Silva
Modified: 2018-07-13 01:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Silva 2016-02-23 10:21:11 EST
Hello,

The rhel5-32bits channel is not available after to register RHEL clients on Satellite6. The channel was synced and is available in the Satellite 6 server after the sync process. Now, I'm able to register this server on Customer Portal or RHN Satellite 5.7. The problem happens only in Satellite6.


Version-Release number of selected component (if applicable):

Satellite 6.1.5
RHEL 5.11 (Client)


How reproducible:

Steps to Reproduce:

1. Registering the RHEL 5 client on Satellite 6:

# subscription-manager register --org="MyOrg" --activationkey="rhel-virt"
The system has been registered with ID: 9a7a524f-a7d3-4dcc-be58-c5b29c0cc1e4
No products installed.


2. Verifying the subscription an available channels:

# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current


3. Looking into the manifest, I'm not able to see 5Server channel and the tree: /rhel/server/5/5Server/i386/os


# rct cat-manifest manifest_47dd7757-243f-4432-9f36-eece6325184f.zip | grep 5Server
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/debug
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/iso
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/os
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/debug
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/os
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/source/SRPMS
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/debug
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/os
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/source/SRPMS
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/debug
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/os
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/debug
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/iso
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/os
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/debug
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/os
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/source/SRPMS
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/debug
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/os
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/source/SRPMS
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/debug
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/os
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/debug
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/iso
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/os
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/debug
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/os
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/source/SRPMS
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/debug
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/os
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/source/SRPMS
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/debug
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/os
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/source/S



Actual results:

None channels available and I'm not able to install packages and katello-agent


Expected results:

RHEL 5 Server registered and able to install and update ALL packages


Additional info:

RHEL6 client - x86 and x86_64 works fine
RHEL7 client - works fine
RHEL5 client - :-(
Comment 1 Alessandro Silva 2016-03-07 09:40:02 EST
Any update about it?
Comment 2 Bryan Kearney 2016-07-26 15:03:58 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.